VirtualBox

Ticket #10071 (closed defect: fixed)

Opened 2 years ago

Last modified 2 years ago

The checkbox for "Enable 3D Acceleration" is deactivated in the VM settings & "Your Direct X driver is corrupt or incorrect" message ==> Fixed in SVN

Reported by: procyon777 Owned by:
Priority: critical Component: 3D support
Version: VirtualBox 4.1.8 Keywords: DirectX, 3D, checkbox
Cc: Guest type: Windows
Host type: Windows

Description (last modified by frank) (diff)

I have Windows XP 32bit as a host OS, and installed Windows 7 64bit as a guest OS. Everything (including AERO) was working fine with VB 4.1.6, but I got the "Your Direct X driver is corrupt or incorrect" problem when I upgrad into VB 4.1.8 and install the Guest Additions. When installing the WDDM driver (not basic direct3D), I keep getting the error message "Your Direct X driver is corrupt or incorrect. The installation cannot continue. For more information please check the VB manual"

I uninstalled all guest editions in safe mode and reinstalled it in safe mode as well, but the problem still exists. The weird thing I noticed is that "the checkbox" for enabling 3D acceleration is deactivated in the VM settings. I can not change any settings for 3D acceleration with VM 4.1.8. 2D acceleration setting is fine. I also have Ubuntu 10.10 VM, and "the checkbox" for 3D acceleration is deactivated for Ubuntu too. It may be a systematic bug of VM 4.1.8 itself, not guest OSes.

Finally reinstalling the VB 4.1.6 solved the problem. Now everything works like a charm with VB 4.1.6.

I have AMD Radeon HD 5750 as a main graphic card, and the latest version (11.12) of AMD Calatyst was installed. My CPU is AMD phenom II x4 965.

Attachments

VB418_3D_deactivated.png Download (22.3 KB) - added by procyon777 2 years ago.
VB418.png Download (11.9 KB) - added by procyon777 2 years ago.
Error Window when running "VBoxTestOGL --test 3D --log VBoxTestOGL_418.log"
VBoxTestOGL_416.log Download (5.9 KB) - added by procyon777 2 years ago.
VBoxTestGL_Virtualbox 416
VBoxTestOGL_418.log Download (637 bytes) - added by procyon777 2 years ago.
VBoxTestGL_Virtualbox 418
VB418-3D-deactive-WinXP.PNG Download (21.6 KB) - added by sokomo 2 years ago.
error VboxTestOGL 418.PNG Download (7.2 KB) - added by sokomo 2 years ago.
Error message when using VboxTestOGL in Vbox 418
aaa.log Download (637 bytes) - added by corbie 2 years ago.
Output from VboxTestOGL -log aaa.log --test 3d
file419.log Download (5.4 KB) - added by looky 2 years ago.
VBoxTestOGL --test 3D --log file419.log from VBoX version 419
file419_procyon777.log Download (6.2 KB) - added by procyon777 2 years ago.

Change History

comment:1 Changed 2 years ago by misha

The "Your Direct X driver is corrupt or incorrect..." message displayed by VBox Guest Additions installer v 4.1.8 is intended behavior.
The problem is that pre-4.1.8 Guest Additions installer had a bug that caused removal of original system d3d9.dll and d3d8.dll files
We've fixed this issue with 4.1.8, however there is no way we can restore original system d3d files on the guest system. So we've implemented a warning/error dialog that prints a warning and allows to continue for "basic" (aka XPDM) D3D support and prints err and does not allow to continue for WDDM D3D support since system d3d files is a must for it. And we added a step-by-step description of how to restore d3d files manually in the "Troubleshooting" section of VBox manual. So please refer to it for more detail on restoring the d3d files.
As for the pre-4.1.8 Guest Additions installer, it simple did not do any checks and allowed to continue (besides removing the original system files).
I think the reason Aero could work for you is because desktop window manager is using d3d10.dll rather than d3d9.dll for rendering on win7 (unlike Vista). But all d3d<=9 apps would be broken, at least for the "Aero on" case.
So it might be reasonable to allow Guest Additions + WDDM installation to continue on Win7 to allow using Aero on the broken system. We'll consider this option and get back to you.
I'll keep the bug open so far..

comment:2 Changed 2 years ago by procyon777

Thank you so much for the answer in detail.

By the way, I don't still understand the weird thing of "the deactivated checkbox" for enabling 3D acceleration VM settings. I can not change any settings for 3D acceleration with VM 4.1.8. I also have Ubuntu 10.10 VM, and "the checkbox" for 3D acceleration is deactivated for Ubuntu too. Basically the checkbox was deactivated for all Virtual Machines that I have installed. It may be a systematic bug, not specific to guest OSes.

I have AMD Radeon HD 5750 as a main graphic card, and the latest version (11.12) of AMD Calatyst was installed. My CPU is AMD phenom II x4 965. It may be the only problem to AMD platform?

Changed 2 years ago by procyon777

comment:3 Changed 2 years ago by procyon777

I upgraded into VB 4.1.8 on another system, old Intel P4 3.4GHz (with hyperthreading) system with intel 865 graphics driver. Here I attached a screenshot for Ubuntu Linux 11.04 in VM settings. As you can see, the checkbox for "enable 3D acceleration" is deactivated (grayed out). I was able to change the setting in the previous VB 4.1.6 in the system. Therefore, this problem is not AMD specific, quite universal to the old P4 system as well. Also please be aware that "Enable 2D video acceleration" is deactivated too here.

comment:4 Changed 2 years ago by misha

to detect why 3D acceleration setting is grayed out, go to VBox install dir and run the following command on your host system:

VBoxTestOGL --test 3D --log path/to/the/log/file.log

and attachh the log file here.

Changed 2 years ago by procyon777

Error Window when running "VBoxTestOGL --test 3D --log VBoxTestOGL_418.log"

comment:5 Changed 2 years ago by procyon777

Here I attach the log file and a screen capture of an error window, when I execute the "VBoxTestOGL --test 3D --log VBoxTestOGL_418.log" script on VirtualBox 4.1.8.

VBoxTestGL 4.1.8 r75467 win.x86 (Dec 19 2011 14:10:38) release log 00:00:00.000 Log opened 2011-12-25T08:46:40.328125000Z 00:00:00.000 OS Product: Windows XP Professional 00:00:00.000 OS Release: 5.1.2600 00:00:00.000 OS Service Pack: 3 00:00:00.000 Executable: C:\Program Files\Oracle\VirtualBox\VBoxTestOGL.exe 00:00:00.000 Process ID: 1936 00:00:00.000 Package type: WINDOWS_32BITS_GENERIC 00:00:00.000 Testing 3D Support: 00:00:00.547 OpenGL Error: DLL Loader couldn't find/open VBoxOGLrenderspu.dll 00:00:00.547 OpenGL Error: Couldn't load the SPU entry point "SPULoad" from SPU "render"! 00:00:00.547 Testing 3D Failed

For comparison, I attach the same log file on VirtualBox 4.1.6. The test completed successfully without any problem in the previous version.

VBoxTestGL 4.1.6 r74713 win.x86 (Nov 4 2011 13:40:44) release log 00:00:00.000 Log opened 2011-12-25T08:38:34.187500000Z 00:00:00.000 OS Product: Windows XP Professional 00:00:00.000 OS Release: 5.1.2600 00:00:00.000 OS Service Pack: 3 00:00:00.000 Executable: C:\Program Files\Oracle\VirtualBox\VBoxTestOGL.exe 00:00:00.000 Process ID: 3288 00:00:00.000 Package type: WINDOWS_32BITS_GENERIC 00:00:00.000 Testing 3D Support: 00:00:00.250 OpenGL Info: Render SPU: GL_VENDOR: ATI Technologies Inc. 00:00:00.250 OpenGL Info: Render SPU: GL_RENDERER: ATI Radeon HD 5700 Series 00:00:00.250 OpenGL Info: Render SPU: GL_VERSION: 4.2.11318 Compatibility Profile Context 00:00:00.250 OpenGL Info: Render SPU: GL_EXTENSIONS: GL_AMDX_debug_output GL_AMDX_vertex_shader_tessellator GL_AMD_conservative_depth GL_AMD_debug_output GL_AMD_depth_clamp_separate GL_AMD_draw_buffers_blend GL_AMD_multi_draw_indirect GL_AMD_name_gen_delete GL_AMD_performance_monitor GL_AMD_pinned_memory GL_AMD_sample_positions GL_AMD_seamless_cubemap_per_texture GL_AMD_shader_stencil_export GL_AMD_shader_trace GL_AMD_texture_cube_map_array GL_AMD_texture_texture4 GL_AMD_transform_feedback3_lines_triangles GL_AMD_vertex_shader_tessellator GL_ARB_ES2_compatibility GL_ARB_base_instance GL_ARB_blend_func_extended GL_ARB_color_buffer_float GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_draw_indirect GL_ARB_draw_instanced GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4 GL_ARB_get_program_binary GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_occlusion_query2 GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counters GL_ARB_shader_bit_encoding GL_ARB_shader_image_load_store GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_stencil_export GL_ARB_shader_subroutine GL_ARB_shader_texture_lod GL_ARB_shading_language_100 GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_shadow GL_ARB_shadow_ambient GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_compression GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map GL_ARB_texture_cube_map_array GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirrored_repeat GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_snorm GL_ARB_texture_storage GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transpose_matrix GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers GL_ATI_envmap_bumpmap GL_ATI_fragment_shader GL_ATI_meminfo GL_ATI_separate_stencil GL_ATI_texture_compression_3dc GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_ATI_texture_mirror_once GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_compiled_vertex_array GL_EXT_copy_buffer GL_EXT_copy_texture GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4 GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_histogram GL_EXT_multi_draw_arrays GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object GL_EXT_point_parameters GL_EXT_provoking_vertex GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_specular_color GL_EXT_shader_image_load_store GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_EXT_subtexture GL_EXT_texgen_reflection GL_EXT_texture3D GL_EXT_texture_array GL_EXT_texture_buffer_object GL_EXT_texture_compression_bptc GL_EXT_texture_compression_latc GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp GL_EXT_texture_env_add GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_EXT_texture_snorm GL_EXT_texture_storage GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback GL_EXT_vertex_array GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_IBM_texture_mirrored_repeat GL_KTX_buffer_region GL_NV_blend_square GL_NV_conditional_render GL_NV_copy_depth_to_color GL_NV_explicit_multisample GL_NV_float_buffer GL_NV_half_float GL_NV_primitive_restart GL_NV_texgen_reflection GL_NV_texture_barrier GL_SGIS_generate_mipmap GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_SUN_multi_draw_arrays GL_WIN_swap_hint WGL_EXT_swap_control 00:00:00.250 OpenGL Info: Render SPU: GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB=16384 00:00:00.250 Testing 3D Succeeded!

Changed 2 years ago by procyon777

VBoxTestGL_Virtualbox 416

Changed 2 years ago by procyon777

VBoxTestGL_Virtualbox 418

Changed 2 years ago by sokomo

comment:6 Changed 2 years ago by sokomo

I have a same problem here: cannot Enable 3D Acceleration . My CPU is Intel Core i3-2100 (3.1 Ghz), and main graphic card is ATI Radeon HD 5450 with latest driver (11.12). My host OS is windows XP SP3 32 bit, and my Guest OS is the same as host OS.

comment:7 Changed 2 years ago by sokomo

When I used the VboxTestOGL in Vbox 4.1.8, I had an error message about RegGetValueA could not be located in dynamic library and got a same log file like procyon777's, and when testing in Vbox 4.1.6, it worked and export the log file smoothly. I check the advapi32.dll file if my OS has it or not and it's in system32 folder. I have posted the picture about this error message.

Changed 2 years ago by sokomo

Error message when using VboxTestOGL in Vbox 418

Changed 2 years ago by corbie

Output from VboxTestOGL -log aaa.log --test 3d

comment:8 Changed 2 years ago by corbie

This bug is similar described as ticket #10088.

I have a same problem.
My CPU is AMD X2-4200, graphic card is NVidia 7300, host OS is Windows XP SP3 32bit, guest OS both: windows XP and Debian Linux.
IMHO error arises from the use of dll calls that specific only for 64-bit versions of Windows XP or Windows 7.

comment:9 Changed 2 years ago by misha

We've fixed an issue which caused 3D support problems on XP hosts. Please try the following test build with a fix  http://www.virtualbox.org/download/testcase/VirtualBox-2012-01-10-15-09-10-win-4.1-rel-4.1.9-r75618-MultiArch.exe and let me know whether it solves the problem for you.

Changed 2 years ago by looky

VBoxTestOGL --test 3D --log file419.log from VBoX version 419

comment:10 Changed 2 years ago by looky

Proposed test build solves the problem with greyed checkbox "Enable 3D". In mentioned version this option is selectable. The output of VBoxTestOGL is added as attachment. Host and guest OS is WinXP 32.

comment:11 Changed 2 years ago by misha

  • Summary changed from The checkbox for "Enable 3D Acceleration" is deactivated in the VM settings & "Your Direct X driver is corrupt or incorrect" message to The checkbox for "Enable 3D Acceleration" is deactivated in the VM settings & "Your Direct X driver is corrupt or incorrect" message ==> Fixed in SVN

comment:12 Changed 2 years ago by misha

Thanks for the feedback! Marking as fixed..

comment:13 Changed 2 years ago by procyon777

It seems that all the problems are fixed with the 4.1.9 version. THank you so much!

comment:14 follow-up: ↓ 17 Changed 2 years ago by procyon777

Sorry, this issue is not fixed yet. I have another warning about OpenGL with version 4.1.9 as follows. Please look at the attached log file.

00:00:00.203 OpenGL Info: This is an ATI card, taking care of fullscreen.. 00:00:00.203 OpenGL Warning: RegGetValueA failed, 2 00:00:00.203 OpenGL Warning: RegGetValueA failed, 2 00:00:00.203 OpenGL Warning: RegGetValueA failed, 2 00:00:00.203 OpenGL Warning: RegGetValueA failed, 2

Changed 2 years ago by procyon777

comment:15 Changed 2 years ago by procyon777

I tried to install the Guest Additions 4.1.9, but it kept failing with the following message.

"The setup detected a corrupt/invalid DirectX installation and cannot continue.

In order to get Direct3D support working, please consult the VirtualBox manual first.

This setup will abort now."

In fact, I did recover d3d8.dll and d3d9.dll as written in the manual (https://www.virtualbox.org/manual/ch12.html#idp12812096), but still I can not upgrade the Guest Addition with AERO support..

comment:16 follow-up: ↓ 18 Changed 2 years ago by procyon777

Even worse, after installing the guest addition 4.1.9 without any 3D support, my windows 7 x64 version won't boot at all.. I can access to the SAFE mode ONLY, the normal boot is not allowed. How do I get back to the normal?

comment:17 in reply to: ↑ 14 Changed 2 years ago by misha

Replying to procyon777:

00:00:00.203 OpenGL Warning: RegGetValueA failed, 2

This warning is OK, basically it should be removed, and I have done that already in our codebase. Thanks for noticing..

comment:18 in reply to: ↑ 16 ; follow-up: ↓ 20 Changed 2 years ago by misha

Replying to procyon777:

Even worse, after installing the guest addition 4.1.9 without any 3D support, my windows 7 x64 version won't boot at all..

What are the symptoms of your problem? Does the guest system bsod, or whatever? If it does bsod, please attach a  minidump here.

comment:19 follow-ups: ↓ 21 ↓ 22 Changed 2 years ago by corbie

A little out of topic, but I have seen a dramatic drop in speed network with this version. I tried variations of NAT and bridge - in both cases, the rate is about 400KB per second. This is the only one I happy?
The host and guest operating systems - Windows XP 32-bit.

comment:20 in reply to: ↑ 18 Changed 2 years ago by procyon777

The symptom is, after the initial moving logo in Windows7, the screen completely blacks out. VirtualBox tried to read hard disc for a while, then no activity / response after few seconds. It is not the blue screen of death. No screen for user log-in either.

This is weird since I installed only the basic guest addition 4.1.9, not including 3D support. Again, I uninstalled the guest addition in the safe mode, then downgraded to the VBox 4.1.6 version. Reinstalling the guest addition 4.1.6 with AERO support in the VBox 4.1.6 fixed all issues. Now I'll stick to the 4.1.6 until new fix comes in.

Replying to misha:

Replying to procyon777:

Even worse, after installing the guest addition 4.1.9 without any 3D support, my windows 7 x64 version won't boot at all..

What are the symptoms of your problem? Does the guest system bsod, or whatever? If it does bsod, please attach a  minidump here.

comment:21 in reply to: ↑ 19 Changed 2 years ago by Hachiman

Replying to corbie:

A little out of topic, but I have seen a dramatic drop in speed network with this version. I tried variations of NAT and bridge - in > both cases, the rate is about 400KB per second. This is the only one I happy?

Regarding networking, does it make any difference for you if you change adapters (pcnet or e1000)?

comment:22 in reply to: ↑ 19 Changed 2 years ago by aleksey

Replying to corbie:

A little out of topic, but I have seen a dramatic drop in speed network with this version. I tried variations of NAT and bridge - in both cases, the rate is about 400KB per second. This is the only one I happy?
The host and guest operating systems - Windows XP 32-bit.

Do you mean that everything was fine with 4.1.8? What rate did you have back then?

comment:23 Changed 2 years ago by Perryg

Would it be possible to add the file back.

 http://www.virtualbox.org/download/testcase/VirtualBox-2012-01-10-15-09-10-win-4.1-rel-4.1.9-r75618-MultiArch.exe

There are a few more that are having this issue. Or is there going to be a new release soon that I can tell them about?

comment:24 Changed 2 years ago by frank

  • Description modified (diff)

Sorry for the delay.  Here is a new test build. The next maintenance release will still take some time.

comment:25 follow-up: ↓ 27 Changed 2 years ago by Imaohw

After installing this 4.1.9 release, the Enable 3D Acceleration checkbox is enabled again. However even after re-installing guest additions, aero is still not available.

Host os : Windows Xp Sp3 32bits
Guest os : Windows 7 64bits
Guest graphics : 128m, WDDM driver version : 4.1.9.0
Host graphics : Core i5 integrated graphic card (256m), with intel 6.14.10.5394 driver.

dxdiag and the resolve aero related problems wizard crash.

comment:26 Changed 2 years ago by z4reg

ref: https://www.virtualbox.org/ticket/10271

This build resolves the issue for me :)

comment:27 in reply to: ↑ 25 ; follow-up: ↓ 28 Changed 2 years ago by misha

Replying to Imaohw:

After installing this 4.1.9 release, the Enable 3D Acceleration checkbox is enabled again. However even after re-installing guest additions, aero is still not available.

Please give a try to  this test build.
It should hopefully solve your problem.
Note that you will need to update Guest Additions as well.

comment:28 in reply to: ↑ 27 Changed 2 years ago by misha

Replying to Imaohw:

After installing this 4.1.9 release, the Enable 3D Acceleration checkbox is enabled again. However even after re-installing guest additions, aero is still not available.

Please give a try to  this test build.

Let me know if you need a test build for the host platform other than Windows.

comment:29 follow-up: ↓ 30 Changed 2 years ago by Imaohw

Good news, Aero is working :) But (as there is a but :-/) :

  1. When hiding/minimizing the virtualbox display, then make it appear again, VirtualBox (virtualbox.exe) crashes in module ig4icd32.dll (this seems to be a userland part of my host intel graphic display driver). The VM is in state "aborted". It does not happen when on logging screen (maybe because graphic acceleration is not "used" at this stage).
    === EDIT ===
    After testing, it crashes like that when i put another window on top of the guest display, even partialy.
    ============

  2. When using software like microsoft powerpoint 2010, using full screen mode, nothing is shown, screen is black, but i can still see my mouse cursor. When the presentation ends, I go back to powerpoint, and can continue to use windows.

  3. The virtualbox manager "preview", is not displaying anything after I started using aero, i.e. It stops at the "Welcome" screen and doesn't refresh anymore.

Maybe i should open other tickets for those issues?

Last edited 2 years ago by Imaohw (previous) (diff)

comment:30 in reply to: ↑ 29 Changed 2 years ago by misha

Replying to Imaohw: Thanks a lot for testing and the feedback[[BR]] Re your points 1 & 2: yes, please open a separate ticket for that.
Please create minidumps for the crashes you observe. See https://www.virtualbox.org/ticket/9267#comment:36 on how to make minidumps be generated on app crashes for Vista SP1 and later. Let me know if you have an other host OS type.
As for 3: this is a known issue caused by that 3D rendering is currently done to a separate window on host. I believe there is a ticket for that already, however feel free to mention that in your new ticket as well.

comment:31 Changed 2 years ago by hortnon

I've upgraded to 4.1.9 build 76447, and still receive the message about DirectX being corrupted. I followed the directions to replace the d3d dll's, but mine already existed in both the 32 bit and 64 bit windows system folders. 3d is enabled in the virtualbox interface. I removed the VirtualBox VGA driver, and it now reads "Standard VGA Graphics Adapter"

Host is Windows 7 64 bit with AMD CPU and AMD 5870 in crossfire mode Guest is Windows 7 64 bit

Last edited 2 years ago by hortnon (previous) (diff)

comment:32 follow-up: ↓ 33 Changed 2 years ago by pentagonik

@hortnon: Regarding replacing the d3d dlls: Even if they already existed on your system, did you check in the file properties whether they're from Microsoft or from Oracle? To bring the system back to a working state you *need* to copy the original Microsoft dlls back to your system (overwrite the existing files).

comment:33 in reply to: ↑ 32 Changed 2 years ago by hortnon

Replying to pentagonik:

@hortnon: Regarding replacing the d3d dlls: Even if they already existed on your system, did you check in the file properties whether they're from Microsoft or from Oracle? To bring the system back to a working state you *need* to copy the original Microsoft dlls back to your system (overwrite the existing files).

Did that, that's why I specifically used the term "replaced" since the filesizes were clearly different. It didn't fix it, however 4.1.10 seems to have resolved the issue.

comment:34 Changed 2 years ago by wnicholls

Just if this helps, I've followed all instructions and replaced d3d9.dll and d3d8.dll from the Windows 7 SP1 iso, however still SFC /SCANNOW reports:

2012-03-20 09:14:37, Info                  CSI    00000307 [SR] Beginning Verify and Repair transaction
2012-03-20 09:14:37, Info                  CSI    00000308 Hashes for file member \SystemRoot\WinSxS\amd64_microsoft-windows-directx-direct3d9_31bf3856ad364e35_6.1.7601.17514_none_207372147765c03a\d3d9.dll do not match actual file [l:16{8}]"d3d9.dll" :
  Found: {l:32 b:t7EHmQs2mrTKe8sTWFyO+D2c3rhxzL/Hm5JSZ9d6B0Q=} Expected: {l:32 b:GI3/lvOximEMUndcj5XJmr8n/y4dUrUO35+A/jNyOc0=}
2012-03-20 09:14:37, Info                  CSI    00000309 [SR] Cannot repair member file [l:16{8}]"d3d9.dll" of Microsoft-Windows-DirectX-Direct3D9, Version = 6.1.7601.17514, pA = PROCESSOR_ARCHITECTURE_AMD64 (9), Culture neutral, VersionScope = 1 nonSxS, PublicKeyToken = {l:8 b:31bf3856ad364e35}, Type neutral, TypeName neutral, PublicKey neutral in the store, hash mismatch
2012-03-20 09:14:37, Info                  CSI    0000030a Hashes for file member \SystemRoot\WinSxS\amd64_microsoft-windows-directx-direct3d9_31bf3856ad364e35_6.1.7601.17514_none_207372147765c03a\d3d9.dll do not match actual file [l:16{8}]"d3d9.dll" :
  Found: {l:32 b:t7EHmQs2mrTKe8sTWFyO+D2c3rhxzL/Hm5JSZ9d6B0Q=} Expected: {l:32 b:GI3/lvOximEMUndcj5XJmr8n/y4dUrUO35+A/jNyOc0=}
2012-03-20 09:14:37, Info                  CSI    0000030b [SR] Cannot repair member file [l:16{8}]"d3d9.dll" of Microsoft-Windows-DirectX-Direct3D9, Version = 6.1.7601.17514, pA = PROCESSOR_ARCHITECTURE_AMD64 (9), Culture neutral, VersionScope = 1 nonSxS, PublicKeyToken = {l:8 b:31bf3856ad364e35}, Type neutral, TypeName neutral, PublicKey neutral in the store, hash mismatch
2012-03-20 09:14:37, Info                  CSI    0000030c [SR] This component was referenced by [l:202{101}]"Microsoft-Windows-Foundation-Package~31bf3856ad364e35~amd64~~6.1.7601.17514.WindowsFoundationDelivery"
2012-03-20 09:14:37, Info                  CSI    0000030d Hashes for file member \??\C:\Windows\System32\d3d9.dll do not match actual file [l:16{8}]"d3d9.dll" :
  Found: {l:32 b:t7EHmQs2mrTKe8sTWFyO+D2c3rhxzL/Hm5JSZ9d6B0Q=} Expected: {l:32 b:GI3/lvOximEMUndcj5XJmr8n/y4dUrUO35+A/jNyOc0=}
2012-03-20 09:14:37, Info                  CSI    0000030e Hashes for file member \SystemRoot\WinSxS\amd64_microsoft-windows-directx-direct3d9_31bf3856ad364e35_6.1.7601.17514_none_207372147765c03a\d3d9.dll do not match actual file [l:16{8}]"d3d9.dll" :
  Found: {l:32 b:t7EHmQs2mrTKe8sTWFyO+D2c3rhxzL/Hm5JSZ9d6B0Q=} Expected: {l:32 b:GI3/lvOximEMUndcj5XJmr8n/y4dUrUO35+A/jNyOc0=}
2012-03-20 09:14:37, Info                  CSI    0000030f [SR] Could not reproject corrupted file [ml:520{260},l:46{23}]"\??\C:\Windows\System32"\[l:16{8}]"d3d9.dll"; source file in store is also corrupted

Maybe this is because D3d has Windows updates since SP1?

However my system seems to be fairly borked (see #10341.) and may be in for a reinstall.

comment:35 Changed 2 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

In the meantime, VBox 4.1.12 was released. I would like to close this ticket as it contains several different error reports. For errors still present with VBox 4.1.12 (please update the Guest Additions as well), please open separate tickets.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use